osmo_auth_vector Struct Reference
GSM/GPRS/3G Authentication

`#include <auth.h>`

## Data Fields

uint8_t | rand [16]
| random challenge More...
uint8_t | autn [16]
| authentication nonce More...
uint8_t | ck [16]
| ciphering key More...
uint8_t | ik [16]
| integrity key More...
uint8_t | res [16]
| authentication result More...
uint8_t | res_len
| length (in bytes) of res More...
uint8_t | kc [8]
| Kc for GSM encryption (A5) More...
uint8_t | sres [4]
| authentication result for GSM More...
uint32_t | auth_types
| bitmask of OSMO_AUTH_TYPE_* More...

The documentation for this struct was generated from the following file:

- include/osmocom/crypt/auth.h